/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ParamAcumulaPunto;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderSendaAmigoParamAcumulaPunto implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ParamAcumulaPunto pap = (ParamAcumulaPunto) o;

        Listcell lc = new Listcell();
        if (pap.getParamacumulapuntoId() != null) {
            lc = new Listcell(pap.getParamacumulapuntoId().toString());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        if (pap.getOrigem() != null) {
            lc = new Listcell(pap.getOrigem().getDescparada());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        if (pap.getDestino() != null) {
            lc = new Listcell(pap.getDestino().getDescparada());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        SimpleDateFormat sf = new SimpleDateFormat("dd/MM/yyyy");
        if (pap.getFeciniciovigencia() != null) {
            lc = new Listcell(sf.format(pap.getFeciniciovigencia()));
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        if (pap.getFecfinvigencia() != null) {
            lc = new Listcell(sf.format(pap.getFecfinvigencia()));
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        if (pap.getCantboletooperacion() != null) {
            lc = new Listcell(pap.getCantboletooperacion().toString());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);
        
        if (pap.getCantoperaciondia() != null) {
            lc = new Listcell(pap.getCantoperaciondia().toString());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", pap);
    }
}
